Get Revision Environment Variables

Get Revision Environment Variables
Get environment variables for a revision

Retrieve the environment variables that are associated with the revision.

Request
URI
GET
https://api.example.local/v3/revisions/{guid}/environment_variables
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved revision environment variables

{
    "var": {
        "var": "string"
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "revision": {
            "href": "string",
            "method": "string"
        },
        "app": "Link Object"
    }
}
object
var
Optional

Environment variables for the revision

object
links
Optional

links


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/revisions/{guid}/environment_variables